Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.tslib.forecast
Class AbstractRForecaster

    java.lang.Object
      kieker.tools.tslib.forecast.AbstractForecaster<Double>
          kieker.tools.tslib.forecast.AbstractRForecaster

All Implemented Interfaces:
  IForecaster<Double>

Direct Known Subclasses:
  ARIMA101Forecaster, ARIMAForecaster, CrostonForecaster, CSForecaster, ETSForecaster, MeanForecaster, NaiveForecaster, SESRForecaster

    public abstract class AbstractRForecaster

extends AbstractForecaster<Double>

Convenience class to implement an `IForecaster` with R.

Since:
  1.10
Author:
  Andre van Hoorn, Nikolas Herbst, Andreas Eberlein, Tobias Rudolph, Thomas Duellmann

Constructor Summary
`AbstractRForecaster(ITimeSeries<Double> historyTimeseries, String modelFunc, String forecastFunc, ForecastMethod strategy)`
`AbstractRForecaster(ITimeSeries<Double> historyTimeseries, String modelFunc, String forecastFunc, int confidenceLevel, ForecastMethod strategy)`

Method Summary
`IForecastResult` | `forecast(int numForecastSteps)` Performs a time series forecast for the given number of steps in the future.
`static Double[]` | `removeNullValues(List<Double> allHistory)`

Methods inherited from class kieker.tools.tslib.forecast.AbstractForecaster
`getConfidenceLevel, getTsOriginal`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractRForecaster

    public AbstractRForecaster(ITimeSeries<Double> historyTimeseries,
                               String modelFunc,
                               String forecastFunc,
                               ForecastMethod strategy)

Parameters:
  `historyTimeseries` - timeseries
  `modelFunc` - modelFunction
  `forecastFunc` - forecastfunction
  `strategy` - FC strategy

### AbstractRForecaster

    public AbstractRForecaster(ITimeSeries<Double> historyTimeseries,
                               String modelFunc,
                               String forecastFunc,
                               int confidenceLevel,
                               ForecastMethod strategy)

Parameters:
  `historyTimeseries` - timeseries
  `modelFunc` - modelFunction
  `forecastFunc` - forecastfunction
  `confidenceLevel` - value of confedenclevel
  `strategy` - FC strategy

Method Detail

### forecast

    public final IForecastResult forecast(int numForecastSteps)

  Description copied from interface: `IForecaster`
  Performs a time series forecast for the given number of steps in the future.

  Parameters:
    `numForecastSteps` - amount of to calculate FC steps
  Returns:
    ForecastResult

### removeNullValues

    public static Double[] removeNullValues(List<Double> allHistory)

  Parameters:
    `allHistory` - List there null values should be deleted in this function
  Returns:
    List/Array with no NullValues

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net